from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XDragSource(XInterface, Protocol):
    def isDragImageSupported(self) -> bool: ...
    def startDrag(self, trigger: DragGestureEvent, sourceActions: int, cursor: int, image: int, trans: XTransferable, listener: XDragSourceListener) -> None: ...
